<div id="register" class="card container col-4 centered p-4">
    <div class="form-group row">
        <div class="col-6">
            <label for="firstname">Prénom</label>

            <input type="text" [(ngModel)]="firstname" class="form-control" [class.border-danger]="emptyFirstName" id="firstname" placeholder="Votre prénom" (input)="checkInvalidFiels()">
        </div>

        <div class="col-6">
            <label for="lastname">Nom</label>

            <input type="text" [(ngModel)]="lastname" [class.border-danger]="emptyLastName" class="form-control" id="lastname" placeholder="Votre nom" (input)="checkInvalidFiels()">
        </div>
    </div>

    <div class="form-group row">
        <div class="col-9">
            <label for="pseudo">Identifiant</label>

            <input type="text" [(ngModel)]="pseudo" [class.border-danger]="emptyPseudo" class="form-control"
                id="pseudo" placeholder="Votre identifiant" (input)="checkInvalidFiels()">
        </div>
    </div>

    <div class="form-group row">
        <div class="col-9">
            <label for="anniversary">Date de naissance</label>

            <input type="date" [(ngModel)]="anniversary" [class.border-danger]="emptyAnniversary" class="form-control" id="anniversary" (input)="checkInvalidFiels()">
        </div>
    </div>

    <div class="form-group row">
        <div class="col-6">
            <label for="password">Mot de passe</label>

            <input type="password" [(ngModel)]="password" [class.border-danger]="emptyPassword" class="form-control" id="password"
                placeholder="Votre mot de passe" (input)="checkPasswordConfirm()" (input)="checkInvalidFiels()">
        </div>

        <div class="col-6">
            <label for="checkPassword">Confirmation</label>

            <input type="password" [(ngModel)]="checkPassword" [class.border-danger]="invalidCheckPassword"
                class="form-control" (input)="checkPasswordConfirm()" id="checkPassword"
                placeholder="Confirmation de votre mot de passe">
        </div>
    </div>

    <div class="form-group row">
        <div class="col-9">
            <label for="email">Adresse e-mail</label>

            <input type="email" [(ngModel)]="email" [class.border-danger]="emptyEmail" class="form-control" id="email" placeholder="Votre adresse e-mail" (input)="checkInvalidFiels()">
        </div>
    </div>


    <button type="submit" (click)="register()" class="btn btn-primary w-50 mx-auto mt-3">S'inscrire</button>

</div>
